package com.shcd.controller;

import cn.hutool.http.HttpResponse;
import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson.JSON;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;

@RestController
@CrossOrigin
@RequestMapping("/supervision")
public class testActiveController {
    @PostMapping("/isAlive")
    public String isAlive(){
        return "I'm alive, don't worry";
    }

    @Value("${emailUrl}")
    private String emailUrl;
    @PostMapping("send")
    public String send(){
        HashMap<String, Object> map = new HashMap<>();
        map.put("subject","test");
        map.put("text","test");
        map.put("isHtml",true);
        map.put("sender","港航中心");
        map.put("mail","944927389@qq.com");
        String[] strings = new String[]{"scg6238@china-gis.com"};
        map.put("to",strings);
        HttpResponse execute = HttpUtil.createPost(emailUrl).body(JSON.toJSONString(map)).execute();
        return "success";
    }
}
